Subject: RE: GNU Win32 nonblocking I/O
From: [email-masked] (Sergey Okhapkin)

28 Jun 1997 04:05:27 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC83C3.88D65320.cygnus.gnu-win32@sos>
Original-To: "'Paul J. Metzger'" <[email-masked]>
Original-Cc: "'gnu-win32'" <[email-masked]>
Encoding: 17 TEXT
Original-Sender: [email-masked]

Paul J. Metzger wrote:
> Hello, gentlemen.  We've just recently started some development
> under GNU Win32 and I'm having a problem with non-blocking I/O
> of a console window under NT.  I looked at the mailing list archives,

Nonblocking I/O is supported now for sockets only. I'm working now on 
redesign of tty support in cygwin.dll (including job control features). New 
tty subsytem will support nonblocking I/O too.

BTW, with my current (really buggy :-) cygwin.dll it is possible now to 
start several bash sessions and run something like "ls >/dev/tty1" or "cat 
</dev/tty0 >/dev/tty1" :-)

--
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".